Skip to content

Returns authorized revision get data.

GET
/api/workspace/workflow/configuration/workflow-definitions/{definitionId}/revisions/{revisionId}
curl --request GET \
--url https://example.com/api/workspace/workflow/configuration/workflow-definitions/example/revisions/example \
--header 'Authorization: Bearer <token>'
definitionId
required
string
revisionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
WorkflowDefinition
object
WorkflowDefinitionId
string
nullable
Key
string
nullable
DisplayName
string
nullable
Description
string
nullable
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
nullable
CreatedByUserId
string
nullable
ModifiedByUserId
string
nullable
RowVersion
string format: uuid
Actions
object
CanRead
boolean
CanUpdate
boolean
CanDelete
boolean
CanEditSubject
boolean
NumberPrefix
string
nullable
Subject
Any of:
object
Contract
object
Kind
integer format: int32
Allowed values: 0 1
EntityDefinitionId
string
nullable
BoardId
string
nullable
EntityDefinitionName
string
nullable
BoardName
string
nullable
IsAvailable
boolean
UnavailableReason
string
nullable
CollaborationPolicy
integer format: int32
Allowed values: 0 1
Revision
object
WorkflowRevisionId
string
nullable
WorkflowDefinitionId
string
nullable
Number
integer format: int32
Description
string
nullable
Status
integer format: int32
Allowed values: 0 1 2
CopiedFromRevisionId
string
nullable
CopiedFromRevisionNumber
integer format: int32
nullable
CopySourceExists
boolean
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
nullable
CreatedByUserId
string
nullable
ModifiedByUserId
string
nullable
PublishedAtUtc
string format: date-time
nullable
PublishedByUserId
string
nullable
DeprecatedAtUtc
string format: date-time
nullable
DeprecatedByUserId
string
nullable
RowVersion
string format: uuid
Actions
object
CanRead
boolean
CanUpdateDescription
boolean
CanCopy
boolean
CanPublish
boolean
CanDelete
boolean
CanEditContent
boolean
ActiveRevision
object
WorkflowRevisionId
string
nullable
WorkflowDefinitionId
string
nullable
Number
integer format: int32
Description
string
nullable
Status
integer format: int32
Allowed values: 0 1 2
CopiedFromRevisionId
string
nullable
CopiedFromRevisionNumber
integer format: int32
nullable
CopySourceExists
boolean
CreatedAtUtc
string format: date-time
ModifiedAtUtc
string format: date-time
nullable
CreatedByUserId
string
nullable
ModifiedByUserId
string
nullable
PublishedAtUtc
string format: date-time
nullable
PublishedByUserId
string
nullable
DeprecatedAtUtc
string format: date-time
nullable
DeprecatedByUserId
string
nullable
RowVersion
string format: uuid
Actions
object
CanRead
boolean
CanUpdateDescription
boolean
CanCopy
boolean
CanPublish
boolean
CanDelete
boolean
CanEditContent
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"WorkflowDefinition": {
"Subject": null,
"CollaborationPolicy": 0
},
"Revision": {
"Status": 0
},
"ActiveRevision": {
"Status": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}